@echo off
if "%1"=="" goto loop
copy taxi%1.in taxi.in >nul
echo.
echo ------------------taxi #%1------------------
echo Start: %time%
taxi.exe
echo End:   %time%
fc taxi.out taxi%1.ans
pause
goto del
:loop
for %%i in (1 2 3 4 5 6 7 8 9 10) do call %0 %%i
goto end
:del
del taxi.in
del taxi.out
:end
